/*  ========================================================================== */
    // Image
    //
    // Responsive images with captions
    //
    //.img__caption--right      - caption on the right side
    //
    // Markup: image.html
    //
    // Style guide: Base.Image
    //
/*  ========================================================================== */


    /*  BASIC IMAGES
    ========================================================================== */

    img
    {
        max-width: 100%;
        vertical-align: bottom;
    }


  /*  IMAGE CAPTIONS
    ========================================================================== */

    .img__caption
    {
        position: absolute;
        bottom: 0;
        left: 0;
        z-index: 2;

        max-width: 250px;
        padding: $img-caption-padding;

        font-size: $img-caption-font-size;
        line-height: $img-caption-line-height;
        color: $img-caption-color;
        background-color: $img-caption-bg;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

    .img__caption--right
    {
        right: 0;
        left: auto;
    }